Skip to content

Update API Endpoints Schemas.

Deprecated
POST
/api/ml/data/namespaces/{namespace}/http_loadbalancers/{name}/api_inventory/api_endpoints/update_schemas
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/http_loadbalancers/example/api_inventory/api_endpoints/update_schemas \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "api_endpoints_schema_updates": [ { "api_operation": { "method": "ANY", "path": "example" }, "schema_json": "example" } ], "name": "example", "namespace": "example" }'

Update the payload schema for the specified endpoints or all pending changes if empty list is provided. NOTE: only API endpoints returned by a call to GetAPIEndpointsSchemaStates can be updated. DEPRECATED. USE virtual host custom API UpdateAPIEndpointsSchemas.

Examples of this operation.

namespace
required
string

Namespace The namespace of the HTTP Loadbalancer for the current request.

name
required
string

Name The name of the HTTP Loadbalancer for the current request.

Media typeapplication/json
Update API Endpoints Schemas Request

Request shape for Update API Endpoints Schemas.

object
api_endpoints_schema_updates
API Endpoints Schema Updates

The list of API Inventory API endpoints schema updates.

Required: YES.

Array<object>
>= 1 items <= 100 items
API Endpoint With Schema

API endpoint and its schema.

object
api_operation
object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path
path

An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.

string
>= 1 characters <= 1024 characters
schema_json
Schema JSON

The schema of the API endpoint Required: YES.

string
<= 20000 characters
name
Name

The name of the HTTP Loadbalancer for the current request.

string
>= 6 characters <= 1024 characters
namespace
Namespace

The namespace of the HTTP Loadbalancer for the current request.

string
>= 6 characters <= 1024 characters

A successful response.

Media typeapplication/json
Update API Endpoints Schema Response

Response shape for Update API Endpoints With Newly Discovered Schema.

object
updated_api_endpoints
Updated API Endpoints

The list of API endpoints which were successfully proceeded by the API Inventory request.

Array<object>
ApiOperation

API operation according to OpenAPI specification.

object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path
path

An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.

string
>= 1 characters <= 1024 characters
Example
{
"updated_api_endpoints": [
{
"method": "ANY"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example